This is the mail archive of the
elfutils-devel@sourceware.org
mailing list for the elfutils project.
[PATCH v2] skip the test when gcc not deployed
- From: <mingli dot yu at windriver dot com>
- To: <elfutils-devel at sourceware dot org>, <ldv at altlinux dot org>
- Date: Tue, 21 May 2019 15:33:06 +0800
- Subject: [PATCH v2] skip the test when gcc not deployed
- References: <20190521072523.GA3310@altlinux.org>
From: Mingli Yu <Mingli.Yu@windriver.com>
Skip the tests which depend on gcc when
gcc not deployed.
Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com>
---
tests/run-disasm-x86-64.sh | 2 ++
tests/run-disasm-x86.sh | 2 ++
tests/run-strip-g.sh | 2 ++
tests/run-strip-nothing.sh | 2 ++
4 files changed, 8 insertions(+)
diff --git a/tests/run-disasm-x86-64.sh b/tests/run-disasm-x86-64.sh
index a6be62b..c3ef238 100755
--- a/tests/run-disasm-x86-64.sh
+++ b/tests/run-disasm-x86-64.sh
@@ -22,6 +22,8 @@ case "`uname -m`" in
x86_64)
tempfiles testfile45.o
testfiles testfile45.S testfile45.expect
+ # skip the case if no gcc deployed
+ which gcc || exit 77
gcc -m64 -c -o testfile45.o testfile45.S
testrun_compare ${abs_top_builddir}/src/objdump -d testfile45.o < testfile45.expect
;;
diff --git a/tests/run-disasm-x86.sh b/tests/run-disasm-x86.sh
index 28a3df7..544fc28 100755
--- a/tests/run-disasm-x86.sh
+++ b/tests/run-disasm-x86.sh
@@ -22,6 +22,8 @@ case "`uname -m`" in
x86_64 | i?86 )
tempfiles testfile44.o
testfiles testfile44.S testfile44.expect
+ # skip the case if no gcc deployed
+ which gcc || exit 77
gcc -m32 -c -o testfile44.o testfile44.S
testrun_compare ${abs_top_builddir}/src/objdump -d testfile44.o < testfile44.expect
;;
diff --git a/tests/run-strip-g.sh b/tests/run-strip-g.sh
index 1303819..a943dec 100755
--- a/tests/run-strip-g.sh
+++ b/tests/run-strip-g.sh
@@ -24,6 +24,8 @@
tempfiles a.out strip.out debug.out readelf.out
+# skip the test if gcc deployed
+which gcc || exit 77
echo Create debug a.out.
echo "int main() { return 1; }" | gcc -g -xc -
diff --git a/tests/run-strip-nothing.sh b/tests/run-strip-nothing.sh
index 914fdfb..d03f734 100755
--- a/tests/run-strip-nothing.sh
+++ b/tests/run-strip-nothing.sh
@@ -22,6 +22,8 @@
tempfiles a.out strip.out debug.out
+# skip the case if no gcc deployed
+which gcc || exit 77
# Create no-debug a.out.
echo "int main() { return 1; }" | gcc -s -xc -
--
2.7.4